Permalink
Browse files

Merge pull request #618 from BhattiMarry/master

UPDATE command made generic. Obsolete kernel() function was breaking Fedora/RHEL install.
  • Loading branch information...
2 parents 86a26e0 + 361beab commit 2e9a79a375a62e07febb1c4f27fdb00cb91c1d44 @lantz lantz committed on GitHub Jan 11, 2017
Showing with 3 additions and 1 deletion.
  1. +3 −1 util/install.sh
View
@@ -40,6 +40,7 @@ if [ "$DIST" = "Ubuntu" ] || [ "$DIST" = "Debian" ]; then
install='sudo DEBIAN_FRONTEND=noninteractive apt-get -y -q install'
remove='sudo DEBIAN_FRONTEND=noninteractive apt-get -y -q remove'
pkginst='sudo dpkg -i'
+ update='sudo apt-get'
# Prereqs for this script
if ! which lsb_release &> /dev/null; then
$install lsb-release
@@ -51,6 +52,7 @@ if [ "$DIST" = "Fedora" -o "$DIST" = "RedHatEnterpriseServer" ]; then
install='sudo yum -y install'
remove='sudo yum -y erase'
pkginst='sudo rpm -ivh'
+ update='sudo yum'
# Prereqs for this script
if ! which lsb_release &> /dev/null; then
$install redhat-lsb-core
@@ -113,7 +115,7 @@ OF13_SWITCH_REV=${OF13_SWITCH_REV:-""}
function kernel {
echo "Install Mininet-compatible kernel if necessary"
- sudo apt-get update
+ $update update
if ! $install linux-image-$KERNEL_NAME; then
echo "Could not install linux-image-$KERNEL_NAME"
echo "Skipping - assuming installed kernel is OK."

0 comments on commit 2e9a79a

Please sign in to comment.